Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.math
Class ExtendedSweep

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.graph.impl.ContextDependentBase
              de.grogra.math.Sweep
                  de.grogra.math.ExtendedSweep

All Implemented Interfaces:
  ContextDependent, BSplineCurveList, Manageable, Shareable

Direct Known Subclasses:
  SweepSequence

    public abstract class ExtendedSweep

extends Sweep

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.math.Sweep
`Sweep.Type`

Field Summary

Fields inherited from class de.grogra.math.Sweep
`$TYPE, useRail$FIELD`

Constructor Summary
`ExtendedSweep()`

Method Summary
`int` | `getDegree(int curve, GraphState gs)`
`float` | `getKnot(int curve, int index, GraphState gs)`
`int` | `getSize(int curve, GraphState gs)`
`protected BSplineCurve` | `getTrajectory(GraphState gs)`
`protected int` | `getVertexImpl(float[] out, int curve, int index, java.lang.Object[] cache, GraphState gs)`
`protected abstract BSplineCurve` | `init(Int2ObjectMap profilesOut, GraphState gs)`
`protected java.lang.Object[]` | `initCache(GraphState gs)`

Methods inherited from class de.grogra.math.Sweep
`areCurvesCompatible, calculateLocalX, computeTrajectory, getCache, getCacheImpl, getDimension, getSize, getVertex, initLocalX, isRational, setUseRail`

Methods inherited from class de.grogra.graph.impl.ContextDependentBase
`writeStamp`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.graph.ContextDependent
`dependsOnContext, writeStamp`

Methods inherited from interface de.grogra.persistence.Manageable
`getManageableType`

Constructor Detail

### ExtendedSweep

    public ExtendedSweep()

Method Detail

### getDegree

    public int getDegree(int curve,
                         GraphState gs)

### getKnot

    public float getKnot(int curve,
                         int index,
                         GraphState gs)

### getSize

    public int getSize(int curve,
                       GraphState gs)

### getTrajectory

    protected BSplineCurve getTrajectory(GraphState gs)

  Specified by:
    `getTrajectory` in class `Sweep`

### getVertexImpl

    protected int getVertexImpl(float[] out,
                                int curve,
                                int index,
                                java.lang.Object[] cache,
                                GraphState gs)

  Specified by:
    `getVertexImpl` in class `Sweep`

### init

    protected abstract BSplineCurve init(Int2ObjectMap profilesOut,
                                         GraphState gs)

### initCache

    protected java.lang.Object[] initCache(GraphState gs)

  Specified by:
    `initCache` in class `Sweep`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD